# -*- coding: utf-8 -*-
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

from zExceptions import BadRequest
from Products.ExternalMethod.ExternalMethod import ExternalMethod
from Products.Archetypes.Extensions.utils import installTypes
from Products.Archetypes.Extensions.utils import install_subskin
from Products.Archetypes.config import TOOL_NAME as ARCHETYPETOOLNAME
from Products.Archetypes.atapi import listTypes
from Products.Oasif.config import applicationRoles,defaultAddRoles
from Products.Oasif.config import product_globals as GLOBALS
import appy.gen
from appy.gen.plone25.installer import PloneInstaller
import Oasif.Formulaire
catalogMap = {}
catalogMap['OasifTool'] = {}
catalogMap['OasifTool']['black'] = ['portal_catalog']
catalogMap['OasifFlavour'] = {}
catalogMap['OasifFlavour']['black'] = ['portal_catalog']
catalogMap['OasifPodTemplate'] = {}
catalogMap['OasifPodTemplate']['black'] = ['portal_catalog']

appClasses = [Oasif.Formulaire.Administration,Oasif.Formulaire.SousTraitant,Oasif.Formulaire.AgentInterne,Oasif.Formulaire.TravailInformatique,Oasif.Formulaire.Travail,Oasif.Formulaire.Personne,Oasif.Formulaire.Formulaire,Oasif.Formulaire.Ministre,Oasif.Formulaire.Employe,Oasif.Formulaire.Agent,Oasif.Formulaire.TypeDeDemarche,Oasif.Formulaire.Famille]
appClassNames = ["Oasif_Formulaire_Administration","Oasif_Formulaire_SousTraitant","Oasif_Formulaire_AgentInterne","Oasif_Formulaire_TravailInformatique","Oasif_Formulaire_Travail","Oasif_Formulaire_Personne","Oasif_Formulaire_Formulaire","Oasif_Formulaire_Ministre","Oasif_Formulaire_Employe","Oasif_Formulaire_Agent","Oasif_Formulaire_TypeDeDemarche","Oasif_Formulaire_Famille"]
allClassNames = ["OasifFlavour","OasifPodTemplate","Oasif_Formulaire_Administration","Oasif_Formulaire_SousTraitant","Oasif_Formulaire_AgentInterne","Oasif_Formulaire_TravailInformatique","Oasif_Formulaire_Travail","Oasif_Formulaire_Personne","Oasif_Formulaire_Formulaire","Oasif_Formulaire_Ministre","Oasif_Formulaire_Employe","Oasif_Formulaire_Agent","Oasif_Formulaire_TypeDeDemarche","Oasif_Formulaire_Famille"]
workflows = {
    "Oasif_Formulaire_TravailInformatique":"oasif_formulaire_processustravail",
    "Oasif_Formulaire_Travail":"oasif_formulaire_processustravail",}
# ------------------------------------------------------------------------------
def install(self, reinstall=False):
    '''Installation of product "Oasif"'''
    ploneInstaller = PloneInstaller(reinstall, "Oasif", self,
        True, appClasses, appClassNames, allClassNames,
        catalogMap, applicationRoles, defaultAddRoles, workflows,
        False, globals())
    return ploneInstaller.install()

# ------------------------------------------------------------------------------
def uninstall(self, reinstall=False):
    '''Uninstallation of product "Oasif"'''
    ploneInstaller = PloneInstaller(reinstall, "Oasif", self,
        True, appClasses, appClassNames, allClassNames,
        catalogMap, applicationRoles, defaultAddRoles, workflows,
        False, globals())
    return ploneInstaller.uninstall()
# ------------------------------------------------------------------------------
