# -*- coding: utf-8 -*-
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

from config import *
import logging
try:
    import CustomizationPolicy
except ImportError:
    CustomizationPolicy = None
from Products.CMFCore import utils as cmfutils
from Products.CMFCore import DirectoryView
from Products.CMFPlone.utils import ToolInit
from Products.Archetypes.atapi import *
from Products.Archetypes import listTypes
from appy.gen.plone25.installer import ZopeInstaller
logger = logging.getLogger(PROJECTNAME)

def initialize(context):
    import OasifTool
    import OasifFlavour
    import OasifPodTemplate
    import Oasif_Formulaire_Administration
    import Oasif_Formulaire_SousTraitant
    import Oasif_Formulaire_AgentInterne
    import Oasif_Formulaire_TravailInformatique
    import Oasif_Formulaire_Travail
    import Oasif_Formulaire_Personne
    import Oasif_Formulaire_Formulaire
    import Oasif_Formulaire_Ministre
    import Oasif_Formulaire_Employe
    import Oasif_Formulaire_Agent
    import Oasif_Formulaire_TypeDeDemarche
    import Oasif_Formulaire_Famille
    # I need to do those imports here; else, types and add permissions will not
    # be registered.
    ZopeInstaller(context, PROJECTNAME,
        OasifTool.OasifTool,
        DEFAULT_ADD_CONTENT_PERMISSION, ADD_CONTENT_PERMISSIONS,
        logger, globals()).install()
